OpenVDB 7.0.0

Public Member Functions | List of all members
SubdivideQuads Struct Reference

`#include <VolumeToMesh.h>`

## Public Member Functions
| SubdivideQuads (PolygonPoolList &polygons, const std::unique_ptr< openvdb::Vec3s[]> &points, size_t pointCount, std::unique_ptr< openvdb::Vec3s[]> &centroids, std::unique_ptr< unsigned[]> &numQuadsToDivide, std::unique_ptr< unsigned[]> &centroidOffsets)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Constructor & Destructor Documentation

## ◆ SubdivideQuads()

SubdivideQuads | ( | PolygonPoolList & | polygons,
|  | const std::unique_ptr< openvdb::Vec3s[]> & | points,
|  | size_t | pointCount,
|  | std::unique_ptr< openvdb::Vec3s[]> & | centroids,
|  | std::unique_ptr< unsigned[]> & | numQuadsToDivide,
|  | std::unique_ptr< unsigned[]> & | centroidOffsets
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h